
@font-face {
  font-family: upding;
  src: url(./god_up.ttf);
}

.uping_box {
  position: fixed;
  z-index: 9999;
  top: 0;
  left: 0;
  width: 100vw;
  height: 100vh;
  color: #333;
  text-align: center;
  background: rgba(255, 255, 255, 0.9);
  display: none;
}
.uping_box .uping_txt {
  overflow: hidden;
  font-size: inherit;
  text-align: center;
  width: 100%;
  animation: uping_txt 2s ease-in-out infinite alternate;
  margin: 90px 0 0 0;
  font-size: 40px;
  font-weight: bold;
  color: #5189ff;
  font-family: upding;
  word-break:keep-all;
  white-space:nowrap; 
  user-select: none;

}
.uping_box .uping_txt:after {
  content: "...";
  display: inline-block;
}

@keyframes uping_txt {
  from {
    -webkit-transform: translateX(-25%);
    -webkit-transform-origin: 0 0;
    -moz-transform: translateX(-25%);
    -moz-transform-origin: 0 0;
    -ms-transform: translateX(-25%);
    -ms-transform-origin: 0 0;
    -o-transform: translateX(-25%);
    -o-transform-origin: 0 0;
    transform: translateX(-25%);
    transform-origin: 0 0;
    letter-spacing: 0;
  }
  50% {
    letter-spacing: 0.5em;
  }
  to {
    -webkit-transform: translateX(25%);
    -webkit-transform-origin: 0 0;
    -moz-transform: translateX(25%);
    -moz-transform-origin: 0 0;
    -ms-transform: translateX(25%);
    -ms-transform-origin: 0 0;
    -o-transform: translateX(25%);
    -o-transform-origin: 0 0;
    transform: translateX(25%);
    transform-origin: 0 0;
    letter-spacing: 0;
  }
}
